unit functionsliste;
{ liste des fonctions de l'interpreteur ??
à jour le 30/10/00}
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids,math, Parser10;

type
  Tfunctionslisteform = class(TForm)
    StringGrid1: TStringGrid;
    Parser1: TParser;
    procedure FormCreate(Sender: TObject);
  private
    { Déclarations privées}
  public
    { Déclarations publiques}
procedure affiche;
  end;

var
  functionslisteform: Tfunctionslisteform;

implementation

uses interpreteur;

{$R *.DFM}
procedure Tfunctionslisteform.affiche;
var
i:integer;
begin
stringGrid1.rowcount:=max(interpreteurform.parser1.functionOne.count,
interpreteurform.parser1.functiontwo.count)+1;
for i:=0 to interpreteurform.parser1.functionOne.count-1 do
stringGrid1.cells[0,i+1]:=interpreteurform.parser1.functionOne[i];
for i:=0 to interpreteurform.parser1.functionTwo.count-1 do
stringGrid1.cells[1,i+1]:=interpreteurform.parser1.functiontwo[i];
end;

procedure Tfunctionslisteform.FormCreate(Sender: TObject);
begin
stringGrid1.cells[0,0]:='1 param';
stringGrid1.cells[1,0]:='2 params';
end;

end.
